import { ArrayType } from './types';
export declare function encodeUTF8(src: string): number[];
export declare function encodeUTF8(src: string, dst: ArrayType, dstPos?: number, srcPos?: number, srcEnd?: number): number;
/** UTF-8 decode an array of bytes into a string.
  * Invalid surrogate pairs are left as-is to support WTF-8.
  * All other invalid codes become replacement characters (fffd).
  *
  * @param src Array to encode.
  * @param dst Output string prefix, default is empty.
  * @param srcPos Initial offset to source data, default is 0.
  * @param srcEnd Source data end offset, default is its length.
  *
  * @return Decoded string. */
export declare function decodeUTF8(src: number[], dst?: string, srcPos?: number, srcEnd?: number): string;
